Get an agent action status
Server:
https://{kibana_url}
- GET /api/fleet/agents/action_status
Get the current status of recent agent actions.
[Required authorization] Route required privileges: fleet-agents-read.
Query Parameters
-
pagenumber · default: 0 Page number
-
perPagenumber · default: 20 Number of results per page
-
datestring Return actions created before this date
-
latestnumber Return only the latest N actions
-
scheduledOnlyboolean Return only actions whose start_time is in the future
-
errorSizenumber · default: 5 Number of error details to include per action
Responses
Successful response
-
itemsobject · max: 10000required -
actionIdstringrequired -
cancellationTimestring -
completionTimestring -
creationTimestringrequired -
creation time of action
-
expirationstring -
hasRolloutPeriodboolean -
is_automaticboolean -
latestErrorsobject · max: 10 -
nbAgentsAcknumberrequired -
number of agents that acknowledged the action
-
nbAgentsActionCreatednumberrequired -
number of agents included in action from kibana
-
nbAgentsActionednumberrequired -
number of agents actioned
-
nbAgentsFailednumberrequired -
number of agents that failed to execute the action
-
newPolicyIdstring -
new policy id (POLICY_REASSIGN action)
-
policyIdstring -
policy id (POLICY_CHANGE action)
-
revisionnumber -
new policy revision (POLICY_CHANGE action)
-
startTimestring -
start time of action (scheduled actions)
-
statusrequired -
Values:
COMPLETEEXPIREDCANCELLEDFAILEDIN_PROGRESSROLLOUT_PASSED -
typerequired -
Values:
UPGRADEUNENROLLSETTINGSPOLICY_REASSIGNCANCELFORCE_UNENROLLREQUEST_DIAGNOSTICSUPDATE_TAGSPOLICY_CHANGEINPUT_ACTIONMIGRATEPRIVILEGE_LEVEL_CHANGEROLLBACKREMOVE_COLLECTOR -
versionstring -
agent version number (UPGRADE action)
Bad Request
-
attributesobjectrequired -
errorstring -
errorTypestring -
messagestringrequired -
statusCodenumber